DECLARE
  -- test_3.sql
  l_cursor number := dbms_sql.open_cursor;
BEGIN
  dbms_sql.parse(
     l_cursor
    ,'SELECT   employee_id,first_name,last_name,email,' ||
     '         phone_number,hire_date,job_id,salary,' ||
     '         commission_pct,manager_id,department_id ' ||
     'FROM     employees '
    ,dbms_sql.native
    );
  xml_spreadsheet.abfrage(
     p_cursor => l_cursor
    ,p_path => 'DOC'
    ,p_sumColumns => xml_spreadsheet.t_tab_abfrage( 
        'N','N','N','N','N','N','N','Y','N','N','N')
    ,p_titles => xml_spreadsheet.t_tab_abfrage(
        'Id','First Name','Last Name','Email','Phone Number',
        'Hire Date','Job Id','Salary','Commission Pct',
        'Manager Id','Department Id')
    );
END;
/